[arch-commits] Commit in libxxf86dga/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 22:14:50 EDT 2009


    Date: Tuesday, April 14, 2009 @ 22:14:50
  Author: eric
Revision: 35664

Merged revisions 356,35657 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxxf86dga/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35657 | eric | 2009-04-14 21:43:34 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxxf86dga 1.0.2-2
      Added license
........

Modified:
  libxxf86dga/repos/extra-i686/	(properties)
  libxxf86dga/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)


Property changes on: libxxf86dga/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxxf86dga/trunk:1
   + /libxxf86dga/trunk:1-35663

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-15 02:13:20 UTC (rev 35663)
+++ extra-i686/PKGBUILD	2009-04-15 02:14:50 UTC (rev 35664)
@@ -3,21 +3,22 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxxf86dga
 pkgver=1.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Direct Graphics Access extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxext' 'xf86dgaproto>=2.0.3')
 makedepends=('pkgconfig')
 options=('!libtool')
 source=(${url}/releases/individual/lib/libXxf86dga-${pkgver}.tar.bz2)
+md5sums=('6f5f621804ee652b6cc6f2025c517c78')
 
 build() {
-  cd ${startdir}/src/libXxf86dga-${pkgver}
+  cd ${srcdir}/libXxf86dga-${pkgver}
   ./configure --prefix=/usr \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-
-md5sums=('6f5f621804ee652b6cc6f2025c517c78')



More information about the arch-commits mailing list